summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeffrey Gardner <je_fro@gentoo.org>2008-01-20 06:52:51 +0000
committerJeffrey Gardner <je_fro@gentoo.org>2008-01-20 06:52:51 +0000
commitdd6bb3763ceb139c2ae3897c321cd8b04322bcc5 (patch)
treee1b0f2af582bef171d0f88892e41efac9f3ce556
parentremoved sed statement moving everything back to patch as requested by je_fro ... (diff)
downloadje_fro-dd6bb3763ceb139c2ae3897c321cd8b04322bcc5.tar.gz
je_fro-dd6bb3763ceb139c2ae3897c321cd8b04322bcc5.tar.bz2
je_fro-dd6bb3763ceb139c2ae3897c321cd8b04322bcc5.zip
Latest svn
svn path=/; revision=163
-rw-r--r--net-wireless/madwifi-ng-svn/Manifest7
-rw-r--r--net-wireless/madwifi-ng-svn/files/digest-madwifi-ng-svn-32230
-rw-r--r--net-wireless/madwifi-ng-svn/madwifi-ng-svn-3223.ebuild100
3 files changed, 107 insertions, 0 deletions
diff --git a/net-wireless/madwifi-ng-svn/Manifest b/net-wireless/madwifi-ng-svn/Manifest
index edc02ce..013cb53 100644
--- a/net-wireless/madwifi-ng-svn/Manifest
+++ b/net-wireless/madwifi-ng-svn/Manifest
@@ -18,6 +18,10 @@ EBUILD madwifi-ng-svn-3112.ebuild 2488 RMD160 bd2664be7ce7b22ba7a38d05714375fcf6
MD5 fd582ee2c4052ec4cb131d3391c7729c madwifi-ng-svn-3112.ebuild 2488
RMD160 bd2664be7ce7b22ba7a38d05714375fcf6a78dee madwifi-ng-svn-3112.ebuild 2488
SHA256 4dc548a209e3078e6d19c9ef97d9b7a30c99b2a253597da758432b3d95e22a1d madwifi-ng-svn-3112.ebuild 2488
+EBUILD madwifi-ng-svn-3223.ebuild 2488 RMD160 bd2664be7ce7b22ba7a38d05714375fcf6a78dee SHA1 afbf9a7d0ebc8f9e855fdf9b79c931ae9d1146e1 SHA256 4dc548a209e3078e6d19c9ef97d9b7a30c99b2a253597da758432b3d95e22a1d
+MD5 fd582ee2c4052ec4cb131d3391c7729c madwifi-ng-svn-3223.ebuild 2488
+RMD160 bd2664be7ce7b22ba7a38d05714375fcf6a78dee madwifi-ng-svn-3223.ebuild 2488
+SHA256 4dc548a209e3078e6d19c9ef97d9b7a30c99b2a253597da758432b3d95e22a1d madwifi-ng-svn-3223.ebuild 2488
MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-madwifi-ng-svn-3064 0
RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-madwifi-ng-svn-3064 0
SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-madwifi-ng-svn-3064 0
@@ -27,3 +31,6 @@ SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/di
MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-madwifi-ng-svn-3112 0
RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-madwifi-ng-svn-3112 0
SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-madwifi-ng-svn-3112 0
+MD5 d41d8cd98f00b204e9800998ecf8427e files/digest-madwifi-ng-svn-3223 0
+RMD160 9c1185a5c5e9fc54612808977ee8f548b2258d31 files/digest-madwifi-ng-svn-3223 0
+SHA256 e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855 files/digest-madwifi-ng-svn-3223 0
diff --git a/net-wireless/madwifi-ng-svn/files/digest-madwifi-ng-svn-3223 b/net-wireless/madwifi-ng-svn/files/digest-madwifi-ng-svn-3223
new file mode 100644
index 0000000..e69de29
--- /dev/null
+++ b/net-wireless/madwifi-ng-svn/files/digest-madwifi-ng-svn-3223
diff --git a/net-wireless/madwifi-ng-svn/madwifi-ng-svn-3223.ebuild b/net-wireless/madwifi-ng-svn/madwifi-ng-svn-3223.ebuild
new file mode 100644
index 0000000..3e5390e
--- /dev/null
+++ b/net-wireless/madwifi-ng-svn/madwifi-ng-svn-3223.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+# This ebuild is intended for macbook pro users.
+
+inherit linux-mod subversion flag-o-matic
+
+ESVN_REPO_URI="http://svn.madwifi.org/madwifi/trunk/"
+ESVN_UPDATE_CMD="svn -r ${PV} update"
+ESVN_PROJECT="madwifi-ng"
+
+DESCRIPTION="Wireless-ng driver for Atheros chipset a/b/g cards"
+HOMEPAGE="http://www.madwifi.org/"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="app-arch/sharutils"
+RDEPEND=""
+
+S="${WORKDIR}"/madwifi
+
+CONFIG_CHECK="CRYPTO SYSCTL"
+ERROR_CRYPTO="${P} requires Cryptographic API support (CONFIG_CRYPTO)."
+ERROR_SYSCTL="${P} requires Sysctl support (CONFIG_SYSCTL)."
+
+pkg_setup() {
+
+ if ! ( kernel_is ge 2 6 22 ); then
+ die "This only works on >=2.6.22 kernels"
+ fi
+
+ linux-mod_pkg_setup
+
+ use x86 && ARCH=i386
+ use amd64 && ARCH=x86_64
+ MODULE_NAMES="ath_hal(net:${S}/ath_hal)
+ wlan(net:${S}/net80211)
+ wlan_acl(net:${S}/net80211)
+ wlan_ccmp(net:${S}/net80211)
+ wlan_tkip(net:${S}/net80211)
+ wlan_wep(net:${S}/net80211)
+ wlan_xauth(net:${S}/net80211)
+ wlan_scan_sta(net:${S}/net80211)
+ wlan_scan_ap(net:${S}/net80211)
+ ath_rate_amrr(net:${S}/ath_rate/amrr)
+ ath_rate_onoe(net:${S}/ath_rate/onoe)
+ ath_rate_sample(net:${S}/ath_rate/sample)
+ ath_rate_minstrel(net:${S}/ath_rate/minstrel)
+ ath_pci(net:${S}/ath)"
+ BUILD_PARAMS="KERNELPATH=${ROOT}${KV_OUT_DIR} KERNELRELEASE=${KV_FULL}
+ ARCH=${ARCH} TOOLPREFIX=/usr/bin/"
+ BUILD_TARGETS="all"
+}
+
+src_unpack() {
+
+ subversion_src_unpack
+
+ epatch "${FILESDIR}"/madwifi-ng-0.9.3-uudecode-gcda-fix.patch
+
+ for dir in ath ath_hal net80211 ath_rate/amrr ath_rate/onoe ath_rate/sample ath_rate/minstrel
+ do
+ convert_to_m "${S}"/${dir}/Makefile
+ done
+
+ cp "${FILESDIR}"/svnversion.h "${S}"
+}
+
+src_compile() {
+ emake || die "emake failed"
+}
+
+src_install() {
+ linux-mod_src_install
+
+ cd "${S}"
+ dodoc README
+
+# install headers for use by
+# net-wireless/wpa_supplicant and net-wireless/hostapd
+ insinto /usr/include/madwifi/include/
+ doins "${S}/include/*.h"
+ insinto /usr/include/madwifi/include/sys/
+ doins "${S}/include/sys/*.h"
+ insinto /usr/include/madwifi/net80211
+ doins "${S}/net80211/*.h"
+
+ cd "${S}/tools"
+ emake DESTDIR="${D}" BINDIR=/sbin MANDIR=/usr/man install || die "emake install failed"
+}
+
+pkg_postinst() {
+ linux-mod_pkg_postinst
+ einfo ""
+ einfo "The madwifi drivers create an interface named 'wifiX'"
+ einfo ""
+ einfo "Any bugs with this ebuild report to je_fro@gentoo.org"
+}